Subject: Re: bug#8422: 24.0.50; doc of `apropos-internal'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2016 12:33:33 +0200

"Drew Adams" <[email-masked]> writes:

> Please add to the doc string some info about what the context is
> when/where PREDICATE is invoked.  Suppose, for instance, you wanted to
> use a PREDICATE such as this:
>
> (lambda (c)
>   (and (commandp c)
>        (where-is-internal c overriding-local-map 'non-ascii))
>
> The behavior of the PREDICATE depends on which buffer is current when it
> is invoked.  Can we assume that the buffer is the same one as when
> `apropos-internal' was invoked?  Likewise wrt the selected window.
>
> To find this info, users currently need to look at the C source code.

Uhm...  no.  As far as I can see, apropos-internal does nothing weird
like changing buffers or windows?  So it would be rather odd to document
that it doesn't do <one weird thing>.  Other mapping functions like
`sort' certainly doesn't.  Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no